html {
  scroll-behavior: smooth;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  background-color: #efefef;
}

h1,
p {
  margin: 0px;
  font-weight: normal;
}

p {
  line-height: 1.6;
  font-size: 18px;
  font-weight: 100;
}

a {
  text-decoration: none;
}

:root {
  --primary-color: #002140;
  --secondary-color: #d6ad18;
  --primary-bg: #002140;
  --secondary-bg: #d6ad18;
  --enfasi-color: #bc8a12;
  --text-color: #333;
  --background-color: #f4f4f4;
  --bs-gutter-x: 1.5rem; /* 24px aprox */
  --bs-gutter-y: 0; /* espacio vertical entre filas */

  --gap: 16px;
  --dot: 10px;
  --accent: #0ea5e9; /* azul */
}

.buttom__menu,
.buttom__close {
  border: transparent;
  background-color: transparent;
  cursor: pointer;
  display: none;
}

.active__menu {
  display: none;
}

.text-white {
  color: white;
}

.text-secondary {
  color: var(--secondary-color);
}

.text-primary {
  color: var(--primary-color);
}

.title__container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  margin-bottom: 50px;
  text-align: center;
  width: 80%;
  margin: 0 auto 50px auto;
}

.text-title {
  font-size: 45px;
  font-weight: lighter;
}

.text-subtitle {
  font-size: 30px;
  font-weight: bold;
  font-weight: lighter;
}

.buttom__group {
  display: flex;
  justify-content: start;
  align-items: start;
}

.img-fluid {
  max-width: 100%;
  height: auto;
}

.buttom {
  background-color: #00C352;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  text-align: center;
  padding: 12px 24px;
  gap: 15px;
  border-radius: 50px;
}
.buttom:hover {
  background-color: var(--enfasi-color);
  cursor: pointer;
}

.span {
  display: flex;
}

.span__title {
  background-color: var(--enfasi-color);
  color: white;
  padding: 10px 20px;
  border-radius: 50px;
  font-size: 15px;
  font-weight: 100;
}

/*
  Navbar and Topbar Styles
*/

.topbar {
  background-color: var(--secondary-bg);
}

.topbar__content {
  display: flex;
  justify-content: end;
}

.topbar__info {
  color: white;
  font-size: 14px;
  padding: 5px 0;
  text-align: center;
}

.header__title {
  font-size: 50px;
  font-weight: bold;
}

.header__title--span {
  color: var(--secondary-bg);
  font-size: 30px;
}

.navbar {
  background-color: #fefef6;
  color: white;
  padding: 20px 0;
}

.call__cta{
  font-size: 40px;
}

.nav__menu {
  display: flex;
  justify-content: center;
  align-items: center;
  list-style: none;
  margin: 0;
  padding: 0;
}

.nav__item {
  padding: 10px 15px;
  font-weight: bold;
}

.nav__link {
  color: var(--text-color);
}

.nav__link:hover {
  color: var(--enfasi-color);
}

.nav__content {
  margin: 0 auto;
  padding: 0 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav__text {
  font-size: 14px;
  font-weight: bold;
  color: var(--primary-color);
}

.nav__info,
.nav__email,
.nav__phone {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 15px;
}

.nav__email {
  border: 1px solid var(--secondary-color);
  padding: 5px 10px;
  border-radius: 25px;
}

.nav__phone {
  background-color: var(--secondary-bg);
  padding: 10px 20px;
  border-radius: 50px;
}

.nav__text--phone {
  color: white;
  font-weight: bold;
  font-size: large;
}

.header__main {
  background-image: url("./img/header-bg.webp");
  background-size: cover;
  background-position: center;
  padding: 100px 10px;
}

.header__content {
  width: 45%;
  padding: 50px;
}

.header__image {
  width: 55%;
}

.header__content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 20px;
}

.nosotros__parrafo{
  font-size: 15px;
}

/*
  section products
*/

.products {
  padding: 100px 10px;
}

.products__content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.products__cards {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 20px;
  margin-top: 50px;
}

.products__card {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.card__image {
  z-index: 10;
}

.card__title {
  text-align: center;
  font-size: 17px;
}

.card__description--container {
  background-color: white;
  padding: 60px 20px 30px 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 20px;
  margin-top: -50px;
  width: 80%;
}

.card__buttom--container {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: ;
}

.card__buttom {
  background-color: #00C352;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px 25px;
  border-radius: 50px;
  gap: 10px;
  margin-top: 20px;
  color: white;
  transition: background-color 0.5s;
}

.card__buttom:hover{
  background-color: #00963e;
}

.WhatsApp__fix{
  position: fixed;
  right: 20px;
  bottom: 200px;
  z-index: 50;
}

/*
  Nosotros Section
*/

.nosotros {
  background-color: white;
  padding: 100px 10px;
  position: relative;
}

.nosotros__content,
.nosotros__image {
  width: 50%;
  z-index: 20;
  display: flex;
  justify-content: start;
}

.nosotros__content {
  align-items: start;
}

.nosotros__image {
  align-items: center;
}

.nosotros__content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 100px;
  padding: 0 50px;
}

.nosotros__content--info {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.nosotros__bg--figure {
  position: absolute;
  top: 50px;
  bottom: 50px;
  right: 0;
  width: 40%;
  background-color: var(--primary-color);
  background-size: cover;
  background-position: center;
  border-top-left-radius: 30px;
  border-bottom-left-radius: 30px;
  z-index: 10;
}

/*
  Porque Elegirnos Section
*/

.why {
  background-color: var(--primary-color);
  padding: 100px 10px;
  color: white;
}

.why__content {
  display: flex;
  justify-content: center;
}

.why__content {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 20px;
}

.why__card {
  min-width: 25%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  text-align: center;
}

.why__card--title {
  font-weight: normal;
  font-size: 20px;
}

.why__card--content {
  font-size: 16px;
  line-height: 1.4;
}

/*
  productos relacionados section
*/

.more__products {
  padding: 100px 10px;
}

.more__product {
  width: 100%;
  display: flex;

  gap: 20px;
  margin-top: 50px;
}

.more__card--info {
  width: 30%;
  background-color: var(--primary-color);
  color: white;
  padding: 20px 40px;
  border-radius: 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  gap: 20px;
}

.more__card--product {
  width: 70%;
}

.more__info--title {
  font-size: 30px;
  font-weight: normal;
}

.more__info--description {
  font-weight: lighter;
  font-size: 15px;
}

.more__title--container {
  text-align: center;
  display: flex;
  position: absolute;
  bottom: 20px;
  justify-content: center;
}

.more__card--item {
  min-width: 33.33%;
  position: relative;
  display: flex;
  align-self: center;
  justify-content: center;
}

.more__title {
  background-color: var(--enfasi-color);
  padding: 10px 20px;
  border-radius: 50px;
  color: white;
  font-size: 15px;
  font-weight: 100;
  display: inline-block;
}

/*
  Gallery Section
*/

.galery {
  background-color: white;
  padding: 100px 10px;
}

.galery__item {
  min-width: 25%;
}

.slider {
  position: relative;
  overflow: hidden;
  width: 100%;
}
.slider:focus {
  outline: 2px solid var(--accent);
}

.slider__track {
  display: flex;
  height: 100%;
  transition: transform 480ms ease;
  will-change: transform;
}

.slide {
  position: relative;
  /*  min-width: 25%; */
  height: 100%;
  user-select: none;
  padding: 0 var(--gap);
}
.slide__media {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.ctrl {
  position: absolute;
  inset: 0;
  pointer-events: none;
}
.btn {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  pointer-events: auto;
  border: 0;
  background: rgba(0, 0, 0, 0.5);
  color: #fff;
  width: 44px;
  height: 44px;
  display: grid;
  place-items: center;
  border-radius: 999px;
  backdrop-filter: blur(6px);
  cursor: pointer;
}
.btn:hover {
  background: rgba(255, 255, 255, 0.22);
  color: #000;

}
.btn:active {
  transform: translateY(-50%) scale(0.96);
}
.btn:focus-visible {
  outline: 2px solid #fff;
}
.btn.prev {
  left: 10px;
}
.btn.next {
  right: 10px;
}

.dots {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 10px;
  display: flex;
  justify-content: center;
  gap: 10px;
  z-index: 5;
}
.dot {
  width: var(--dot);
  height: var(--dot);
  border-radius: 999px;
  border: 0;
  background: #ffffff44;
  cursor: pointer;
}
.dot[aria-current="true"],
.dot.active {
  background: #fff;
}
.dot:focus-visible {
  outline: 2px solid #fff;
}

.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
}

@media (prefers-reduced-motion: reduce) {
  .track {
    transition: none;
  }
}

/*
  Process Section
*/

.process {
  padding: 100px 10px;
}

.process__container {
  background-color: var(--primary-color);
  width: 100%;
  border-radius: 10px;
  padding: 50px 10px;
}

.process__content {
  display: flex;
  flex-direction: column;
  align-items: baseline;
  height: 400px;
  overflow-y: auto; /* evita scroll vertical */
  scroll-behavior: smooth; /* desplazamiento suave */
  -webkit-overflow-scrolling: touch; /* mejor en móviles */
  scrollbar-color: #3a3a3a var(--primary-color);
}

.process__container--content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 20px;
}

.process__step {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  margin: 30px 0;
}

/*
  Contact Section
*/

.contact {
  background-color: white;
  padding: 200px 10px 100px 10px;
  color: white;
  position: relative;
}

.contact__content,
.contact__info {
  width: 50%;
  z-index: 20;
}

.contact__input {
  height: 55px;
  padding: 0px 20px;
  width: 400px;
  border-radius: 50px;
  border: 1px solid var(--enfasi-color);
  background-color: rgba(255, 255, 255, 0.3);
  color: rgb(255, 255, 255);
}

.select_input{
  background-color: var(--secondary-color);
}


.contact__input::placeholder {
  color: white;
  font-size: 15px;
}

.contact__input:focus::placeholder {
  color: transparent; /* oculta el texto */
}


.contact__form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;
}

.contact__buttom {
  width: 400px;
  height: 55px;
  border-radius: 50px;
  border: none;
  background-color: var(--primary-color);
  color: white;
  transition: transform 0.8s ease, background-color 0.8s ease ;
  font-weight: bold;
  font-size: 18px;
}

.contact__buttom:hover {
  background-color: #fff;
  cursor: pointer;
  transform: scale(1.03);
  color: var(--primary-color);
}

.contact__info {
  display: flex;
  justify-content: end;
  align-items: center;
  color: var(--primary-color);
  margin-top: 60px;
}

.contact__info_title {
  font-size: 20px;
  font-weight: bold;
  margin-top: 20px;
  color: var(--enfasi-color);
}

.contact__info--span {
  font-size: 40px;
  font-weight: bold;
  margin: 50px 0px;
  color: var(--enfasi-color);
}

.contact__bg--figure {
  position: absolute;
  top: 100px;
  bottom: 0px;
  left: 0px;
  width: 55%;
  background-color: #bc8a12;
  border-top-right-radius: 50px;
}

/*
  footer section
*/

.footer {
  background-color: var(--primary-color);
  color: white;
  padding: 100px 10px;
  text-align: center;
}

.footer__container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 20px;
  width: 100%;
  margin: 0 auto;
  max-width: 1200px;
  text-align: left;
}

.footer__info_title {
  font-size: 17px;
  font-weight: bold;
  margin-top: 20px;
  color: var(--secondary-bg);
}

.footer__info_content,
.footer__menu--item {
  font-size: 16px;
  line-height: 1.6;
  font-weight: 100 !important;
}

.footer__menu--item {
  margin-bottom: 10px;
  list-style-type: none;
}

.footer__info--list {
  list-style: none;
  padding-left: 60px;
  margin: 0;
}

.footer__menu {
  margin-top: 20px;
}

.footer__span {
  font-size: 30px;
  font-weight: bold;
  margin-top: 10px;
  display: block;
  color: var(--secondary-bg);
}

.active{
  display: flex !important;
}

/*
  Redes Sociales
*/

.redes__group{
  display: flex;
  margin-top: 20px;
  gap: 20px;
}

.redes__group a{
  background-color: #bc8a12;
  padding: 10px;
  border-radius: 50px;
  width: 40px;
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: transform 0.3s ease-in, background-color 0.3s ease;
}

.redes__group a:hover{
  background-color: #d6ad18;
  transform: scale(1.1);
}

/*
  container and grid system
*/



.container {
  width: 100%;
  padding-right: var(--bs-gutter-x, 0.75rem);
  padding-left: var(--bs-gutter-x, 0.75rem);
  margin-right: auto;
  margin-left: auto;
}

/* Breakpoints */
@media (min-width: 576px) {
  .container {
    max-width: 540px;
  }
}

@media (min-width: 768px) {
  .container {
    max-width: 720px;
  }
}

@media (min-width: 992px) {
  .container {
    max-width: 960px;
  }
}

@media (min-width: 1200px) {
  .container {
    max-width: 1140px;
  }
}

@media (min-width: 1400px) {
  .container {
    max-width: 1320px;
  }
}

.row {
  display: flex;
  flex-wrap: wrap;
  margin-top: calc(-1 * var(--bs-gutter-y, 0));
  margin-right: calc(-0.5 * var(--bs-gutter-x, 0));
  margin-left: calc(-0.5 * var(--bs-gutter-x, 0));
}

@media (max-width: 768px) {
  .buttom__menu {
    display: block;
  }
  .nav__menu {
    display: none;
    flex-direction: column;
    position: absolute;
    top: 0px;
    background: #fff;
    width: 100%;
    height: 100vh;
    left: 0px;
    right: 0px;
    z-index: 30;
  }
  .nav__item{
    margin: 40px 15px;
  }
  .title__container {
    margin: 0px 0px 50px 0px !important;
    width: 100%;
  }
  .buttom__close{
    display: block;
    margin-top: 20px auto;
    position: absolute;
    right: 20px;
    top: 10px;

  }
  .process__container--content {
    flex-direction: column;
  }
  .process__info,
  .process__image {
    width: 100% !important;
  }
  :root {
    --slider-h: 48vh;
  }
  .btn {
    width: 40px;
    height: 40px;
  }
}

@media (max-width: 992px) {
  .contact__content,
  .contact__info {
    width: 100% !important;
  }
  .contact__bg--figure {
    width: 100% !important;
    border-top-right-radius: 0px !important;
    bottom: 500px !important;
  }
  .contact__info {
    justify-content: start !important;
  }

  .footer__info--list {
    padding-left: 10px;
  }

  .more__product{
    flex-direction: column;
  }

  .more__card--info, .more__card--product{
    width: 100% !important;
  }

  .slide {
    min-width: 100%;
  }

  .nav__info {
    display: none;
  }
}

@media (max-width: 1200px) {
  .header__content,
  .header__image {
    width: 100% !important;
  }

  .header__content {
    padding: 20px 0px !important;
  }
  .nosotros__content--info,
  .nosotros__image {
    width: 100% !important;
  }
  .nosotros__content {
    width: 100%;
    padding: 0px;
  }
  .nosotros__bg--figure {
    display: none;
  }
}
